View Issue Details

IDProjectCategoryView StatusLast Update
14798Bug reports[All Projects] Survey participants (Tokens)public2019-05-10 15:36
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0dev 
Target VersionFixed in Version4.0.0dev 
Summary14798: Someone register in a Survey with token (+encrypt) : no way to check DB
Description

When registering : attributes are not crypted

Steps To Reproduce

Import related bug survey : https://bugs.limesurvey.org/view.php?id=14797 , launch, register
Try to browse token

Additional Information

I stop it for testing survey with token (and mail sending)

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 14795 assignedcdorin Development  Extend Token Response etc … to automatically encryt/decrypt 

Activities

DenisChenu

DenisChenu

2019-04-24 14:37

developer  

Capture d’écran du 2019-04-24 14-37-31.png (184,738 bytes)
dominikvitt

dominikvitt

2019-04-26 17:32

developer   ~51603

https://github.com/LimeSurvey/LimeSurvey/commit/970a589e5480d2e1447fe81d354a91fcd9c02786

c_schmitz

c_schmitz

2019-05-10 15:36

administrator   ~51878

4.0beta1 released

Issue History

Date Modified Username Field Change
2019-04-24 14:37 DenisChenu New Issue
2019-04-24 14:37 DenisChenu File Added: Capture d’écran du 2019-04-24 14-37-31.png
2019-04-24 14:37 DenisChenu Assigned To => dominikvitt
2019-04-24 14:37 DenisChenu Status new => assigned
2019-04-24 14:38 DenisChenu Relationship added related to 14795
2019-04-26 17:32 dominikvitt Status assigned => resolved
2019-04-26 17:32 dominikvitt Resolution open => fixed
2019-04-26 17:32 dominikvitt Fixed in Version => 4.0.0dev
2019-04-26 17:32 dominikvitt Note Added: 51603
2019-05-10 15:36 c_schmitz Note Added: 51878
2019-05-10 15:36 c_schmitz Status resolved => closed